
From: Gerd Knorr <kraxel@bytesex.org>

Remove unneeded casts of (void *) pointers.

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/w9966.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/w9966.c~video-w9966-remove-casts drivers/media/video/w9966.c
--- 25/drivers/media/video/w9966.c~video-w9966-remove-casts	2005-01-22 18:44:33.104192464 -0800
+++ 25-akpm/drivers/media/video/w9966.c	2005-01-22 18:44:33.109191704 -0800
@@ -330,7 +330,7 @@ static int w9966_init(struct w9966_dev* 
 
 // Fill in the video_device struct and register us to v4l
 	memcpy(&cam->vdev, &w9966_template, sizeof(struct video_device));
-	cam->vdev.priv = (void*)cam;
+	cam->vdev.priv = cam;
 
 	if (video_register_device(&cam->vdev, VFL_TYPE_GRABBER, video_nr) == -1)		 
 		return -1;
@@ -712,7 +712,7 @@ static int w9966_v4l_do_ioctl(struct ino
 			      unsigned int cmd, void *arg)
 {
 	struct video_device *vdev = video_devdata(file);
-	struct w9966_dev *cam = (struct w9966_dev*)vdev->priv;
+	struct w9966_dev *cam = vdev->priv;
 	
 	switch(cmd)
 	{
@@ -871,7 +871,7 @@ static ssize_t w9966_v4l_read(struct fil
 			      size_t count, loff_t *ppos)
 {
 	struct video_device *vdev = video_devdata(file);
-	struct w9966_dev *cam = (struct w9966_dev *)vdev->priv;
+	struct w9966_dev *cam = vdev->priv;
 	unsigned char addr = 0xa0;	// ECP, read, CCD-transfer, 00000
 	unsigned char __user *dest = (unsigned char __user *)buf;
 	unsigned long dleft = count;
_
